
Foreman - Bug #6909

Unable to edit puppet server field on "Administer>Settings>Puppet"

08/04/2014 07:22 AM - Jorick Astrego

Status: Closed   

Priority: Low   

Assignee:    

Category: Settings   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The field below is not editable although there is an edit icon visible

"puppet_server     puppet     Default Puppet server hostname"

History

#1 - 08/04/2014 07:56 AM - Dominic Cleal

- Project changed from Packaging to Foreman

- Category set to Settings

Is it just the one setting, or any?  I can't reproduce this, so would appreciate it if you could check your browser console for any Javascript errors that

might be related (Ctrl+Shift+J in Chrome for instance).

(Note that this setting is entirely unused now too.)

#2 - 08/04/2014 09:24 AM - Jorick Astrego

It's only that setting, if it's unused why not remove it? I'm not on the dev mailinglist....

Now it's not that field anymore, but strangely it's the field above it.... "puppet_interval"

Is this what you need?

window.controllers is deprecated. Do not use it for UA detection. https-everywhere.js:364

Use of getUserData() or setUserData() is deprecated.  Use WeakMap or element.dataset instead. requestNotifier.js:52

Use of getPreventDefault() is deprecated.  Use defaultPrevented instead.

Empty string passed to getElementById().

#3 - 08/04/2014 09:30 AM - Dominic Cleal

Jorick Astrego wrote:

It's only that setting, if it's unused why not remove it? I'm not on the dev mailinglist....

 Sure, it should be removed.

Empty string passed to getElementById().@

 Looks the most suspect, but I don't see it here.  Maybe try another browser?

#4 - 08/04/2014 09:37 AM - Jorick Astrego

- File Selection_253.png added

Nope nothing in Chrome but also the same issue.

What I notice is that normally I get an hand icon with edit this field and for this field it changes to a text field prompt.
I added a screenshot to show.

#5 - 08/05/2021 09:05 AM - Amir Fefer

- Status changed from New to Closed

Puppet has been refactored and moved to another plugins, looks like this bug was a client issue
